pacman_vars() {
    #Activate and change number of parallel downloads to 200
    sed -i "s/^#ParallelDownloads =.*/ParallelDownloads = 200/" /etc/pacman.conf
    #Enable color
    sed -i "s/^#Color/Color/" /etc/pacman.conf
    #Enable multilib repo
    sed -i "/\[multilib\]/,/Include/"'s/^#//' /etc/pacman.conf
}

init() {
    pacman -Syu --noconfirm
    echo 'Installing reflector'
    sudo pacman -S reflector --noconfirm
    echo 'Generating mirrorlist...'
    reflector -c pt,es,fr,uk --sort rate | tee /etc/pacman.d/mirrorlist
    pacman -S sed
    echo "Performing config changes to pacman"
    pacman_vars
}
init
